Folks.Query – folks Reference Manual

# Query

## Object Hierarchy:

## Description:

public abstract class Query : Object

A contact query.

If any properties of the query change such that matches may change, the GLib.Object.notify signal will be emitted, potentially without a detail string. Views which are using this query should re-evaluate their matches on receiving this signal.

## Since:

0.11.0

## See also:

SearchView

All known sub-classes:

- SimpleQuery

Namespace: Folks
Package: folks

## Content:

### Constants:

- public const (unowned string)[] MATCH_FIELDS_ADDRESSES
  Set of address (email, IM, postal, phone number, etc.) match fields.
- public const (unowned string)[] MATCH_FIELDS_MISC
  Set of miscellaneous match fields.
- public const (unowned string)[] MATCH_FIELDS_NAMES
  Set of name match fields.

### Properties:

- public virtual string[] match_fields { get; }
  The names of the fields to match within

### Methods:

- public abstract uint is_match (Individual individual)
  Determines whether a given Individual matches this query.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref